package com.ruoyi.web.userLogin.mapper;

import java.util.List;
import java.util.Map;

/**
 * @version : V1.0
 * @ClassName: WechatUserLoginMapper
 * @Description: 微信用户登录
 * @Auther: JiangYuQi
 * @Date: 2020/7/7 18:03
 */
public interface WechatUserLoginMapper {

    /**
     * 获取用户信息
     * @param loginName
     * @return
     */
    public Map<String,Object> findUserInfo(String loginName);

    /**
     * 修改密码
     * @param map
     * @return
     */
    int updataUser(Map<String,Object> map);

    /**
     * 添加用户openid信息
     * @param map
     * @return
     */
    int addUserOpenId(Map<String,Object> map);

    /**
     * 更新用户openid
     * @param map
     * @return
     */
    int updateUserOpenId(Map<String,Object> map);

    /**
     * 验证手机号码是否已经绑定
     * @param phone
     * @return
     */
    int checkBindByPhone(String phone);

    /**
     * 验证手机号码是否已经绑定
     * @param openId
     * @return
     */
    int checkBindByOpenId(String openId);

    /**
     * 根据用户openid查询用户信息
     * @param openId
     * @return
     */
    Map<String,Object> getUserInfoByOpenId(String openId);

    /**
     * 根据用户openid查询用户信息
     * @param openId
     * @return
     */
    Map<String,Object> getUserNameByOpenId(String openId);

    /**
     * 根据用户查询菜单信息
     * @param username
     * @return
     */
    public List<Map<String,Object>> selectRoleMenuList(String username);

}
